This is an old revision of the document!


mate-panel

Package requirements

* intltool >= 0.40.0 * ice * sm * pango >= 1.15.4 * gtk+-2.0 >= 2.19.7 * glib-2.0 >= 2.25.12 * gio-2.0 >= 2.25.12 * librsvg-2.0 * dbus-glib-1 * libmateweather * mate-desktop

Building

build-mate-panel.sh
#!/bin/sh
# Define version
release="1.1"
version="1.1.0"
package="mate-panel"
# Get
wget -c http://pub.mate-desktop.org/releases/$release/$package-$version.tar.bz2
# Extract
tar xvjf $package-$version.tar.bz2
# Go to inside folder
cd $package-$version
# Configure
./autogen.sh --prefix=/usr --sysconfdir=/etc \
        --localstatedir=/var --disable-static \
        --libexecdir=/usr/lib/mate-panel \
        --disable-scrollkeeper --enable-introspection --enable-matecomponent
# Compile
make
# Install
sudo make install
mate-panel.1324741169.txt.gz · Last modified: 2011/12/24 15:39 by Stefano Karapetsas
 
Recent changes RSS feed Driven by DokuWiki
Hosted by First Colo